import { WebPlugin } from '@capacitor/core';
import { UcleanPermissionPluginPlugin } from './definitions';
export declare class UcleanPermissionPluginWeb extends WebPlugin implements UcleanPermissionPluginPlugin {
    constructor();
    echo(options: {
        value: string;
    }): Promise<{
        value: string;
    }>;
    checkSelfPermissions(options: {
        permissions: [String];
    }): Promise<{
        errorCode: String;
        errorMessage: string;
        data: [object];
    }>;
    setPermissions(options: {
        permissions: [String];
    }): Promise<{
        errorCode: String;
        errorMessage: string;
        data: [object];
    }>;
    jumpToSystemSetting(options: {
        permission: string;
    }): Promise<{
        errorCode: String;
        errorMessage: string;
    }>;
}
declare const UcleanPermissionPlugin: UcleanPermissionPluginWeb;
export { UcleanPermissionPlugin };
