var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { WebPlugin } from '@capacitor/core';
export class UcleanPermissionPluginWeb extends WebPlugin {
    constructor() {
        super({
            name: 'UcleanPermissionPlugin',
            platforms: ['web'],
        });
    }
    echo(options) {
        return __awaiter(this, void 0, void 0, function* () {
            console.log('ECHO', options);
            return options;
        });
    }
    checkSelfPermissions(options) {
        return __awaiter(this, void 0, void 0, function* () {
            console.log('checkSelfPermissions', options);
            return { errorCode: "0", errorMessage: 'success', data: [{}] };
        });
    }
    setPermissions(options) {
        return __awaiter(this, void 0, void 0, function* () {
            console.log('setPermissions', options);
            return { errorCode: "0", errorMessage: 'success', data: [{}] };
        });
    }
    jumpToSystemSetting(options) {
        return __awaiter(this, void 0, void 0, function* () {
            console.log('jumpToSystemSetting', options);
            return { errorCode: "0", errorMessage: 'success' };
        });
    }
}
const UcleanPermissionPlugin = new UcleanPermissionPluginWeb();
export { UcleanPermissionPlugin };
import { registerWebPlugin } from '@capacitor/core';
registerWebPlugin(UcleanPermissionPlugin);
//# sourceMappingURL=web.js.map